ArchLabs Linux

Problem update

i have this errors:

┌ ~ └> % upd 14:52:26 [sudo] password di don: :: Sincronizzazione dei database in corso... core 135,1 KiB 925 KiB/s 00:00 [----------------------] 100% extra 1641,3 KiB 1405 KiB/s 00:01 [----------------------] 100% community 4,7 MiB 1796 KiB/s 00:03 [----------------------] 100% multilib 164,5 KiB 1469 KiB/s 00:00 [----------------------] 100% archlabs_repo 17,0 KiB 5,52 MiB/s 00:00 [----------------------] 100% :: Aggiornamento del sistema in corso... risoluzione delle dipendenze in corso... ricerca dei pacchetti in conflitto in corso... errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze) :: l'installazione di xorgproto (2019.2-2) interrompe la dipendenza 'dmxproto' richiesta da libdmx :: l'installazione di xorgproto (2019.2-2) interrompe la dipendenza 'xf86dgaproto' richiesta da libxxf86dga ┌ 1 ~ └> %

edit

:: installing xorgproto (2019.2-2) interrupts the dependency 'dmxproto' requested by libdmx
:: installing xorgproto (2019.2-2) interrupts the dependency 'xf86dgaproto' requested by libxxf86dga
2 Likes

Happened to me in the morning, too. I removed libdmx (required by screenfetch, which I uninstalled as well). At another try another “dependency something required by something” appeared - uninstalled too. I don’t remember the library name, sorry. Finally update went well.

Read this: https://www.archlinux.org/news/xorg-cleanup-requires-manual-intervention

3 Likes

thank

2 Likes

Glad that it s fixed @ector , thx @nwg for the link.

2 Likes

pacman said: can’t find libxxf86misc

:confused:

Run the command without that package then:

pacman -Rdd libdmx libxxf86dga && pacman -Syu
2 Likes

Yep , it s in the link provided above @GllmR .

Thx @Head_on_a_Stick

1 Like

Oh thanks !

1 Like